Package org.tmatesoft.svn.core.wc2

# Class SvnWorkingCopyInfo

java.lang.Object
org.tmatesoft.svn.core.wc2.SvnWorkingCopyInfo

public class SvnWorkingCopyInfo extends Object
Provides information about working copy info, used by `SvnInfo`.

Version:
  1.7
Author:
  TMate Software Ltd.
See Also:
  - `SvnInfo`
  - `SvnGetInfo`

## Constructor Summary

Constructors
Constructor
Description
`SvnWorkingCopyInfo()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getChangelist()`
Returns changelist name assigned to item, `null</null> if item is not in changelist.`
`SvnChecksum`
`getChecksum()`
Returns checksum of the file, `null</null> for directory.`
`Collection<SVNConflictDescription>`
`getConflicts()`
Returns all item's conflicts.
`long`
`getCopyFromRevision()`
Gets the revision of the item's ancestor from which the item was copied (the item is added with history).
`SVNURL`
`getCopyFromUrl()`
Gets the URL (repository location) of the ancestor from which the item was copied.
`SVNDepth`
`getDepth()`
Returns the local item's depth.
`File`
`getMovedFrom()`
`File`
`getMovedTo()`
`File`
`getPath()`
Returns working copy path.
`long`
`getRecordedSize()`
Returns last changed file size.
`long`
`getRecordedTime()`
Return last changed item's time.
`SvnSchedule`
`getSchedule()`
Returns `SvnSchedule` attribute, `null</null> if not scheduled.`
`File`
`getWcRoot()`
Return item's working copy root.
`void`
`setChangelist(String changelist)`
Sets changelist name assigned to item.
`void`
`setChecksum(SvnChecksum checksum)`
Sets checksum of the file.
`void`
`setConflicts(Collection<SVNConflictDescription> conflicts)`
Sets the item's conflicts.
`void`
`setCopyFromRevision(long copyFromRevision)`
Sets the revision of the item's ancestor from which the item was copied (the item is added with history).
`void`
`setCopyFromUrl(SVNURL copyFromURL)`
Sets the URL (repository location) of the ancestor from which the item was copied.
`void`
`setDepth(SVNDepth depth)`
Sets the local item's depth.
`void`
`setMovedFrom(File movedFrom)`
`void`
`setMovedTo(File movedTo)`
`void`
`setPath(File path)`
Sets working copy path.
`void`
`setRecordedSize(long recordedSize)`
Sets last changed file size.
`void`
`setRecordedTime(long recordedTime)`
Sets last changed item's time.
`void`
`setSchedule(SvnSchedule schedule)`
Sets `SvnSchedule` attribute.
`void`
`setWcRoot(File wcRoot)`
Sets item's working copy root.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SvnWorkingCopyInfo

public SvnWorkingCopyInfo()

## Method Details

### getPath

public File getPath()
Returns working copy path.

Returns:
  path

### getSchedule

public SvnSchedule getSchedule()
Returns `SvnSchedule` attribute, `null</null> if not scheduled.`

Returns:
  schedule of the item

### getCopyFromUrl

public SVNURL getCopyFromUrl()
Gets the URL (repository location) of the ancestor from which the item was copied. That is when the item is added with history.

Returns:
  the item ancestor's URL

### getChecksum

public SvnChecksum getChecksum()
Returns checksum of the file, `null</null> for directory.`

Returns:
  checksum of the file

### getChangelist

public String getChangelist()
Returns changelist name assigned to item, `null</null> if item is not in changelist.`

Returns:
  changelist name

### getDepth

public SVNDepth getDepth()
Returns the local item's depth.

Returns:
  the local depth of the item

### getRecordedSize

public long getRecordedSize()
Returns last changed file size.

Returns:
  file size

### getRecordedTime

public long getRecordedTime()
Return last changed item's time.

Returns:
  changed time of the item

### getConflicts

public Collection<SVNConflictDescription> getConflicts()
Returns all item's conflicts.

Returns:
  conflicts of the item

### getWcRoot

public File getWcRoot()
Return item's working copy root.

Returns:
  working copy root of the item

### setPath

public void setPath(File path)
Sets working copy path.

Parameters:
  `path` - path

### setSchedule

public void setSchedule(SvnSchedule schedule)
Sets `SvnSchedule` attribute.

Parameters:
  `schedule` - schedule of the item

### setCopyFromUrl

public void setCopyFromUrl(SVNURL copyFromURL)
Sets the URL (repository location) of the ancestor from which the item was copied. That is when the item is added with history.

Parameters:
  `copyFromURL` - the item ancestor's URL

### setChecksum

public void setChecksum(SvnChecksum checksum)
Sets checksum of the file.

Parameters:
  `checksum` - checksum of the file

### setChangelist

public void setChangelist(String changelist)
Sets changelist name assigned to item.

Parameters:
  `changelist` - changelist name

### setDepth

public void setDepth(SVNDepth depth)
Sets the local item's depth.

Parameters:
  `depth` - the local depth of the item

### setRecordedSize

public void setRecordedSize(long recordedSize)
Sets last changed file size.

Parameters:
  `recordedSize` - file size

### setRecordedTime

public void setRecordedTime(long recordedTime)
Sets last changed item's time.

Parameters:
  `recordedTime` - changed time of the item

### setConflicts

public void setConflicts(Collection<SVNConflictDescription> conflicts)
Sets the item's conflicts.

Parameters:
  `conflicts` - conflicts of the item

### setWcRoot

public void setWcRoot(File wcRoot)
Sets item's working copy root.

Parameters:
  `wcRoot` - working copy root of the item

### getCopyFromRevision

public long getCopyFromRevision()
Gets the revision of the item's ancestor from which the item was copied (the item is added with history).

Returns:
  the ancestor's revision

### setCopyFromRevision

public void setCopyFromRevision(long copyFromRevision)
Sets the revision of the item's ancestor from which the item was copied (the item is added with history).

Parameters:
  `copyFromRevision` - the ancestor's revision

### getMovedFrom

public File getMovedFrom()

### setMovedFrom

public void setMovedFrom(File movedFrom)

### getMovedTo

public File getMovedTo()

### setMovedTo

public void setMovedTo(File movedTo)